# Package org.pentaho.reporting.libraries.formula.parser

- Interface Summary
  Interface | Description
  --- | ---
  GeneratedFormulaParserConstants | Token literal values and constants.

- Class Summary
  Class | Description
  --- | ---
  FormulaParser |
  GeneratedFormulaParser |
  GeneratedFormulaParserTokenManager | Token Manager.
  JavaCharStream | An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).
  ParserTools | Creation-Date: 03.11.2006, 18:57:23
  Token | Describes the input token stream.

- Exception Summary
  Exception | Description
  --- | ---
  FormulaParseException | Todo: Document me!
  ParseException | This exception is thrown when parse errors are encountered.

- Error Summary
  Error | Description
  --- | ---
  TokenMgrError | Token Manager Error.